<HTML>
<HEAD>
<TITLE>DL Visualize - Interface</TITLE>
</HEAD>
<BODY BGCOLOR="#FFFFFF">

<CENTER><H3> DL Visualize - Interface </H3></CENTER>

<P>
When DL Visualize starts it open the main window. This provides the menus
and tools for controlling the application. In reponse to user actions it may
also open 2D and 3D viewer windows. The 3D viewer allows the user to
interact with displayed models. The 2D viewer displays plots,
LEED patterns, a 2D view of contours etc.
</P>

<CENTER><H4> The Main Window </H4></CENTER>

<p>
<center><img src="images/main.png"></center>
</p>

<p>
The main window provides access to DLV's functions. It consists of 5 objects
<ul>
<li> <a href="main/menus.html"> The Menus.</a></li>
<li> <a href="main/toolbar.html"> A Toolbar.</a></li>
<li> <a href="main/text.html"> A text widget.</a></li>
<li> <a href="main/status.html"> A Status Bar.</a></li>
<li> <a href="main/object.html"> The Object Selector.</a></li>
</ul>
</p>

<CENTER><H4> The 3D Viewer </H4></CENTER>

<p>
3D objects that the user has chosen to display are rendered in this window.
The following mouse buttons can be used to manipulate the view

<dl>
<dt> Left button
<dd> The left button rotates, zooms or translates the object depending on
     the currently selected transformation button in the
     <a href="main/toolbar.html">toolbar</a> (in the main window).
     The default is to rotate the object.
</dd>
<dt> Right button (Control-button on MacOSX)
<dd> Clicking the right mouse button on an atom will select (if unselected) or
     unselect (if already selected) the atom. Clicking on the viewer background
     unselects all atoms. Clicking on an atom and dragging the mouse to
     another atom will select a sphere of atoms around the first atom out to
     the distance of the atom where the button is released.
</dd>
</dl>
(setting the environment variable <tt>DLV_V31_BUTTONS</tt> swaps the actions
of the left and right buttons on Linux and Windows.)

The following shortcuts are available on Unix systems and Windows systems
with a wheel mouse

<dl>
<dt> Middle button
<dd> Holding down the middle mouse button rotates the object.
<dt> Shift Middle button
<dd> Holding down the shift key and the middle mouse button zooms the object.
<dt> Control Middle button
<dd> Holding down the control key and the middle mouse button X-Y translates
     the object.
</dl>
</p>

<!H4 The 2D Viewer H4>

</BODY>
</HTML>
